Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.framestore
Interface RemoteServerFrameStore

All Superinterfaces:
  Remote

All Known Implementing Classes:
  ServerFrameStore

    public interface RemoteServerFrameStore

extends Remote

Field Summary
`static long` | `HEARTBEAT_CLIENT_DIED`
`static long` | `HEARTBEAT_POLL_INTERVAL`

Method Summary
`OntologyUpdate` | `addDirectSuperclass(Cls cls, Cls superclass, RemoteSession session)`
`OntologyUpdate` | `addDirectSuperslot(Slot slot, Slot superslot, RemoteSession session)`
`OntologyUpdate` | `addDirectTemplateSlot(Cls cls, Slot slot, RemoteSession session)`
`OntologyUpdate` | `addDirectType(Instance instance, Cls type, RemoteSession session)`
`RemoteResponse<Boolean>` | `beginTransaction(String name, RemoteSession session)`
`void` | `close(RemoteSession session)`
`RemoteResponse<Boolean>` | `commitTransaction(RemoteSession session)`
`RemoteResponse<Cls>` | `createCls(FrameID id, Collection directTypes, Collection directSuperclasses, boolean loadDefaultValues, RemoteSession session)`
`RemoteResponse<Facet>` | `createFacet(FrameID id, Collection directTypes, boolean loadDefaultValues, RemoteSession session)`
`RemoteResponse<SimpleInstance>` | `createSimpleInstance(FrameID id, Collection directTypes, boolean loadDefaultValues, RemoteSession session)`
`RemoteResponse<Slot>` | `createSlot(FrameID id, Collection directTypes, Collection directSuperslots, boolean loadDefaultValues, RemoteSession session)`
`OntologyUpdate` | `deleteCls(Cls cls, RemoteSession session)`
`OntologyUpdate` | `deleteFacet(Facet facet, RemoteSession session)`
`OntologyUpdate` | `deleteSimpleInstance(SimpleInstance simpleInstance, RemoteSession session)`
`OntologyUpdate` | `deleteSlot(Slot slot, RemoteSession session)`
`RemoteResponse<Object>` | `executeProtegeJob(ProtegeJob job, RemoteSession session)`
`RemoteResponse<Collection<Frame>>` | `executeQuery(Query query, RemoteSession session)`
`Set<Operation>` | `getAllowedOperations(RemoteSession session)`
`int` | `getClsCount(RemoteSession session)`
`Set<Cls>` | `getClses(RemoteSession session)`
`Set<Cls>` | `getClsesWithAnyDirectTemplateSlotValue(Slot slot, RemoteSession session)`
`Set` | `getClsesWithDirectTemplateFacetValue(Slot slot, Facet facet, Object value, RemoteSession session)`
`Set` | `getClsesWithDirectTemplateSlotValue(Slot slot, Object value, RemoteSession session)`
`Set<Cls>` | `getClsesWithMatchingBrowserText(String text, Collection superclasses, int maxMatches, RemoteSession session)`
`Set` | `getClsesWithMatchingDirectTemplateFacetValue(Slot slot, Facet facet, String value, int maxMatches, RemoteSession session)`
`Set` | `getClsesWithMatchingDirectTemplateSlotValue(Slot slot, String value, int maxMatches, RemoteSession session)`
`Set` | `getDirectlyOverriddenTemplateFacets(Cls cls, Slot slot, RemoteSession session)`
`Set` | `getDirectlyOverriddenTemplateSlots(Cls cls, RemoteSession session)`
`RemoteResponse<List>` | `getDirectOwnSlotValues(Frame frame, Slot slot, RemoteSession session)`
`RemoteResponse<Set>` | `getDirectOwnSlotValuesClosure(Collection<Frame> frame, Slot slot, Set<Frame> missing, RemoteSession session)`
`RemoteResponse<Set>` | `getDirectOwnSlotValuesClosure(Frame frame, Slot slot, Set<Frame> missing, RemoteSession session)`
`int` | `getDirectOwnSlotValuesCount(Frame frame, Slot slot, RemoteSession session)`
`RemoteResponse<List>` | `getDirectTemplateFacetValues(Cls cls, Slot slot, Facet facet, RemoteSession session)`
`RemoteResponse<List>` | `getDirectTemplateSlotValues(Cls cls, Slot slot, RemoteSession session)`
`RemoteResponse<List<AbstractEvent>>` | `getEvents(RemoteSession session)`
`int` | `getFacetCount(RemoteSession session)`
`Set<Facet>` | `getFacets(RemoteSession session)`
`Frame` | `getFrame(FrameID id, RemoteSession session)`
`RemoteResponse<Frame>` | `getFrame(String name, RemoteSession session)`
`int` | `getFrameCount(RemoteSession session)`
`String` | `getFrameName(Frame frame, RemoteSession session)`
`Set<Frame>` | `getFrames(RemoteSession session)`
`Set<Frame>` | `getFramesWithAnyDirectOwnSlotValue(Slot slot, RemoteSession session)`
`Set<Frame>` | `getFramesWithDirectOwnSlotValue(Slot slot, Object value, RemoteSession session)`
`Set<Frame>` | `getFramesWithMatchingDirectOwnSlotValue(Slot slot, String value, int maxMatches, RemoteSession session)`
`RemoteResponse<Set<Instance>>` | `getInstances(Cls cls, RemoteSession session)`
`Set<Operation>` | `getKnownOperations(RemoteSession session)`
`Set<Reference>` | `getMatchingReferences(String string, int maxMatches, RemoteSession session)`
`Set` | `getOverriddenTemplateFacets(Cls cls, Slot slot, RemoteSession session)`
`Set` | `getOverriddenTemplateSlots(Cls cls, RemoteSession session)`
`Set<Slot>` | `getOwnSlots(Frame frame, RemoteSession session)`
`Set<Reference>` | `getReferences(Object object, RemoteSession session)`
`int` | `getSimpleInstanceCount(RemoteSession session)`
`int` | `getSlotCount(RemoteSession session)`
`FrameCalculatorStats` | `getStats()`
`Set<Facet>` | `getTemplateFacets(Cls cls, Slot slot, RemoteSession session)`
`Collection` | `getTemplateFacetValues(Cls cls, Slot slot, Facet facet, RemoteSession session)`
`TransactionIsolationLevel` | `getTransactionIsolationLevel()`
`Map<RemoteSession,Boolean>` | `getUserInfo()`
`void` | `heartBeat(RemoteSession session)`
`OntologyUpdate` | `moveDirectOwnSlotValue(Frame frame, Slot slot, int from, int to, RemoteSession session)`
`OntologyUpdate` | `moveDirectSubclass(Cls cls, Cls subclass, int index, RemoteSession session)`
`OntologyUpdate` | `moveDirectSubslot(Slot slot, Slot subslot, int index, RemoteSession session)`
`OntologyUpdate` | `moveDirectTemplateSlot(Cls cls, Slot slot, int index, RemoteSession session)`
`OntologyUpdate` | `moveDirectType(Instance instance, Cls type, int index, RemoteSession session)`
`OntologyUpdate` | `preload(Set<String> userFrames, boolean all, RemoteSession session)`
`OntologyUpdate` | `removeDirectSuperclass(Cls cls, Cls superclass, RemoteSession session)`
`OntologyUpdate` | `removeDirectSuperslot(Slot slot, Slot superslot, RemoteSession session)`
`OntologyUpdate` | `removeDirectTemplateFacetOverrides(Cls cls, Slot slot, RemoteSession session)`
`OntologyUpdate` | `removeDirectTemplateSlot(Cls cls, Slot slot, RemoteSession session)`
`OntologyUpdate` | `removeDirectType(Instance instance, Cls type, RemoteSession session)`
`OntologyUpdate` | `replaceFrame(Frame original, Frame replacement, RemoteSession session)`
`void` | `requestValueCache(Set<Frame> frames, boolean skipDirectInstances, RemoteSession session)`
`RemoteResponse<Boolean>` | `rollbackTransaction(RemoteSession session)`
`OntologyUpdate` | `setDirectOwnSlotValues(Frame frame, Slot slot, Collection values, RemoteSession session)`
`OntologyUpdate` | `setDirectTemplateFacetValues(Cls cls, Slot slot, Facet facet, Collection values, RemoteSession session)`
`OntologyUpdate` | `setDirectTemplateSlotValues(Cls cls, Slot slot, Collection values, RemoteSession session)`
`boolean` | `setTransactionIsolationLevel(TransactionIsolationLevel level)` Sets the transaction isolation level for the current connection.

Field Detail

### HEARTBEAT_POLL_INTERVAL

    static final long HEARTBEAT_POLL_INTERVAL

See Also:
  Constant Field Values

### HEARTBEAT_CLIENT_DIED

    static final long HEARTBEAT_CLIENT_DIED

See Also:
  Constant Field Values

Method Detail

### getUserInfo

    Map<RemoteSession,Boolean> getUserInfo()
                                           throws RemoteException

  Throws:
    `RemoteException`

### getStats

    FrameCalculatorStats getStats()
                                  throws RemoteException

  Throws:
    `RemoteException`

### getClsCount

    int getClsCount(RemoteSession session)
                    throws RemoteException

  Throws:
    `RemoteException`

### getSlotCount

    int getSlotCount(RemoteSession session)
                     throws RemoteException

  Throws:
    `RemoteException`

### getFacetCount

    int getFacetCount(RemoteSession session)
                      throws RemoteException

  Throws:
    `RemoteException`

### getSimpleInstanceCount

    int getSimpleInstanceCount(RemoteSession session)
                               throws RemoteException

  Throws:
    `RemoteException`

### getFrameCount

    int getFrameCount(RemoteSession session)
                      throws RemoteException

  Throws:
    `RemoteException`

### getClses

    Set<Cls> getClses(RemoteSession session)
                      throws RemoteException

  Throws:
    `RemoteException`

### getFacets

    Set<Facet> getFacets(RemoteSession session)
                         throws RemoteException

  Throws:
    `RemoteException`

### getFrames

    Set<Frame> getFrames(RemoteSession session)
                         throws RemoteException

  Throws:
    `RemoteException`

### getFrame

    RemoteResponse<Frame> getFrame(String name,
                                   RemoteSession session)
                                   throws RemoteException

  Throws:
    `RemoteException`

### getFrameName

    String getFrameName(Frame frame,
                        RemoteSession session)
                        throws RemoteException

  Throws:
    `RemoteException`

### createCls

    RemoteResponse<Cls> createCls(FrameID id,
                                  Collection directTypes,
                                  Collection directSuperclasses,
                                  boolean loadDefaultValues,
                                  RemoteSession session)
                                  throws RemoteException

  Throws:
    `RemoteException`

### createSlot

    RemoteResponse<Slot> createSlot(FrameID id,
                                    Collection directTypes,
                                    Collection directSuperslots,
                                    boolean loadDefaultValues,
                                    RemoteSession session)
                                    throws RemoteException

  Throws:
    `RemoteException`

### createFacet

    RemoteResponse<Facet> createFacet(FrameID id,
                                      Collection directTypes,
                                      boolean loadDefaultValues,
                                      RemoteSession session)
                                      throws RemoteException

  Throws:
    `RemoteException`

### createSimpleInstance

    RemoteResponse<SimpleInstance> createSimpleInstance(FrameID id,
                                                        Collection directTypes,
                                                        boolean loadDefaultValues,
                                                        RemoteSession session)
                                                        throws RemoteException

  Throws:
    `RemoteException`

### deleteCls

    OntologyUpdate deleteCls(Cls cls,
                             RemoteSession session)
                             throws RemoteException

  Throws:
    `RemoteException`

### deleteSlot

    OntologyUpdate deleteSlot(Slot slot,
                              RemoteSession session)
                              throws RemoteException

  Throws:
    `RemoteException`

### deleteFacet

    OntologyUpdate deleteFacet(Facet facet,
                               RemoteSession session)
                               throws RemoteException

  Throws:
    `RemoteException`

### deleteSimpleInstance

    OntologyUpdate deleteSimpleInstance(SimpleInstance simpleInstance,
                                        RemoteSession session)
                                        throws RemoteException

  Throws:
    `RemoteException`

### getOwnSlots

    Set<Slot> getOwnSlots(Frame frame,
                          RemoteSession session)
                          throws RemoteException

  Throws:
    `RemoteException`

### getDirectOwnSlotValues

    RemoteResponse<List> getDirectOwnSlotValues(Frame frame,
                                                Slot slot,
                                                RemoteSession session)
                                                throws RemoteException

  Throws:
    `RemoteException`

### getDirectOwnSlotValuesCount

    int getDirectOwnSlotValuesCount(Frame frame,
                                    Slot slot,
                                    RemoteSession session)
                                    throws RemoteException

  Throws:
    `RemoteException`

### moveDirectOwnSlotValue

    OntologyUpdate moveDirectOwnSlotValue(Frame frame,
                                          Slot slot,
                                          int from,
                                          int to,
                                          RemoteSession session)
                                          throws RemoteException

  Throws:
    `RemoteException`

### setDirectOwnSlotValues

    OntologyUpdate setDirectOwnSlotValues(Frame frame,
                                          Slot slot,
                                          Collection values,
                                          RemoteSession session)
                                          throws RemoteException

  Throws:
    `RemoteException`

### getOverriddenTemplateSlots

    Set getOverriddenTemplateSlots(Cls cls,
                                   RemoteSession session)
                                   throws RemoteException

  Throws:
    `RemoteException`

### getDirectlyOverriddenTemplateSlots

    Set getDirectlyOverriddenTemplateSlots(Cls cls,
                                           RemoteSession session)
                                           throws RemoteException

  Throws:
    `RemoteException`

### addDirectTemplateSlot

    OntologyUpdate addDirectTemplateSlot(Cls cls,
                                         Slot slot,
                                         RemoteSession session)
                                         throws RemoteException

  Throws:
    `RemoteException`

### removeDirectTemplateSlot

    OntologyUpdate removeDirectTemplateSlot(Cls cls,
                                            Slot slot,
                                            RemoteSession session)
                                            throws RemoteException

  Throws:
    `RemoteException`

### moveDirectTemplateSlot

    OntologyUpdate moveDirectTemplateSlot(Cls cls,
                                          Slot slot,
                                          int index,
                                          RemoteSession session)
                                          throws RemoteException

  Throws:
    `RemoteException`

### getDirectTemplateSlotValues

    RemoteResponse<List> getDirectTemplateSlotValues(Cls cls,
                                                     Slot slot,
                                                     RemoteSession session)
                                                     throws RemoteException

  Throws:
    `RemoteException`

### setDirectTemplateSlotValues

    OntologyUpdate setDirectTemplateSlotValues(Cls cls,
                                               Slot slot,
                                               Collection values,
                                               RemoteSession session)
                                               throws RemoteException

  Throws:
    `RemoteException`

### getTemplateFacets

    Set<Facet> getTemplateFacets(Cls cls,
                                 Slot slot,
                                 RemoteSession session)
                                 throws RemoteException

  Throws:
    `RemoteException`

### getOverriddenTemplateFacets

    Set getOverriddenTemplateFacets(Cls cls,
                                    Slot slot,
                                    RemoteSession session)
                                    throws RemoteException

  Throws:
    `RemoteException`

### getDirectlyOverriddenTemplateFacets

    Set getDirectlyOverriddenTemplateFacets(Cls cls,
                                            Slot slot,
                                            RemoteSession session)
                                            throws RemoteException

  Throws:
    `RemoteException`

### removeDirectTemplateFacetOverrides

    OntologyUpdate removeDirectTemplateFacetOverrides(Cls cls,
                                                      Slot slot,
                                                      RemoteSession session)
                                                      throws RemoteException

  Throws:
    `RemoteException`

### getTemplateFacetValues

    Collection getTemplateFacetValues(Cls cls,
                                      Slot slot,
                                      Facet facet,
                                      RemoteSession session)
                                      throws RemoteException

  Throws:
    `RemoteException`

### getDirectTemplateFacetValues

    RemoteResponse<List> getDirectTemplateFacetValues(Cls cls,
                                                      Slot slot,
                                                      Facet facet,
                                                      RemoteSession session)
                                                      throws RemoteException

  Throws:
    `RemoteException`

### setDirectTemplateFacetValues

    OntologyUpdate setDirectTemplateFacetValues(Cls cls,
                                                Slot slot,
                                                Facet facet,
                                                Collection values,
                                                RemoteSession session)
                                                throws RemoteException

  Throws:
    `RemoteException`

### addDirectSuperclass

    OntologyUpdate addDirectSuperclass(Cls cls,
                                       Cls superclass,
                                       RemoteSession session)
                                       throws RemoteException

  Throws:
    `RemoteException`

### removeDirectSuperclass

    OntologyUpdate removeDirectSuperclass(Cls cls,
                                          Cls superclass,
                                          RemoteSession session)
                                          throws RemoteException

  Throws:
    `RemoteException`

### moveDirectSubclass

    OntologyUpdate moveDirectSubclass(Cls cls,
                                      Cls subclass,
                                      int index,
                                      RemoteSession session)
                                      throws RemoteException

  Throws:
    `RemoteException`

### addDirectSuperslot

    OntologyUpdate addDirectSuperslot(Slot slot,
                                      Slot superslot,
                                      RemoteSession session)
                                      throws RemoteException

  Throws:
    `RemoteException`

### removeDirectSuperslot

    OntologyUpdate removeDirectSuperslot(Slot slot,
                                         Slot superslot,
                                         RemoteSession session)
                                         throws RemoteException

  Throws:
    `RemoteException`

### moveDirectSubslot

    OntologyUpdate moveDirectSubslot(Slot slot,
                                     Slot subslot,
                                     int index,
                                     RemoteSession session)
                                     throws RemoteException

  Throws:
    `RemoteException`

### getInstances

    RemoteResponse<Set<Instance>> getInstances(Cls cls,
                                               RemoteSession session)
                                               throws RemoteException

  Throws:
    `RemoteException`

### addDirectType

    OntologyUpdate addDirectType(Instance instance,
                                 Cls type,
                                 RemoteSession session)
                                 throws RemoteException

  Throws:
    `RemoteException`

### removeDirectType

    OntologyUpdate removeDirectType(Instance instance,
                                    Cls type,
                                    RemoteSession session)
                                    throws RemoteException

  Throws:
    `RemoteException`

### moveDirectType

    OntologyUpdate moveDirectType(Instance instance,
                                  Cls type,
                                  int index,
                                  RemoteSession session)
                                  throws RemoteException

  Throws:
    `RemoteException`

### getEvents

    RemoteResponse<List<AbstractEvent>> getEvents(RemoteSession session)
                                                  throws RemoteException

  Throws:
    `RemoteException`

### getReferences

    Set<Reference> getReferences(Object object,
                                 RemoteSession session)
                                 throws RemoteException

  Throws:
    `RemoteException`

### getClsesWithMatchingBrowserText

    Set<Cls> getClsesWithMatchingBrowserText(String text,
                                             Collection superclasses,
                                             int maxMatches,
                                             RemoteSession session)
                                             throws RemoteException

  Throws:
    `RemoteException`

### getMatchingReferences

    Set<Reference> getMatchingReferences(String string,
                                         int maxMatches,
                                         RemoteSession session)
                                         throws RemoteException

  Throws:
    `RemoteException`

### getFramesWithDirectOwnSlotValue

    Set<Frame> getFramesWithDirectOwnSlotValue(Slot slot,
                                               Object value,
                                               RemoteSession session)
                                               throws RemoteException

  Throws:
    `RemoteException`

### getFramesWithAnyDirectOwnSlotValue

    Set<Frame> getFramesWithAnyDirectOwnSlotValue(Slot slot,
                                                  RemoteSession session)
                                                  throws RemoteException

  Throws:
    `RemoteException`

### getFramesWithMatchingDirectOwnSlotValue

    Set<Frame> getFramesWithMatchingDirectOwnSlotValue(Slot slot,
                                                       String value,
                                                       int maxMatches,
                                                       RemoteSession session)
                                                       throws RemoteException

  Throws:
    `RemoteException`

### getClsesWithDirectTemplateSlotValue

    Set getClsesWithDirectTemplateSlotValue(Slot slot,
                                            Object value,
                                            RemoteSession session)
                                            throws RemoteException

  Throws:
    `RemoteException`

### getClsesWithAnyDirectTemplateSlotValue

    Set<Cls> getClsesWithAnyDirectTemplateSlotValue(Slot slot,
                                                    RemoteSession session)
                                                    throws RemoteException

  Throws:
    `RemoteException`

### getClsesWithMatchingDirectTemplateSlotValue

    Set getClsesWithMatchingDirectTemplateSlotValue(Slot slot,
                                                    String value,
                                                    int maxMatches,
                                                    RemoteSession session)
                                                    throws RemoteException

  Throws:
    `RemoteException`

### getClsesWithDirectTemplateFacetValue

    Set getClsesWithDirectTemplateFacetValue(Slot slot,
                                             Facet facet,
                                             Object value,
                                             RemoteSession session)
                                             throws RemoteException

  Throws:
    `RemoteException`

### getClsesWithMatchingDirectTemplateFacetValue

    Set getClsesWithMatchingDirectTemplateFacetValue(Slot slot,
                                                     Facet facet,
                                                     String value,
                                                     int maxMatches,
                                                     RemoteSession session)
                                                     throws RemoteException

  Throws:
    `RemoteException`

### executeQuery

    RemoteResponse<Collection<Frame>> executeQuery(Query query,
                                                   RemoteSession session)
                                                   throws OntologyException,
                                                          ProtegeIOException,
                                                          RemoteException

  Throws:
    `OntologyException`
    `ProtegeIOException`
    `RemoteException`

### getDirectOwnSlotValuesClosure

    RemoteResponse<Set> getDirectOwnSlotValuesClosure(Frame frame,
                                                      Slot slot,
                                                      Set<Frame> missing,
                                                      RemoteSession session)
                                                      throws RemoteException

  Throws:
    `RemoteException`

### getDirectOwnSlotValuesClosure

    RemoteResponse<Set> getDirectOwnSlotValuesClosure(Collection<Frame> frame,
                                                      Slot slot,
                                                      Set<Frame> missing,
                                                      RemoteSession session)
                                                      throws RemoteException

  Throws:
    `RemoteException`

### close

    void close(RemoteSession session)
               throws RemoteException

  Throws:
    `RemoteException`

### executeProtegeJob

    RemoteResponse<Object> executeProtegeJob(ProtegeJob job,
                                             RemoteSession session)
                                             throws ProtegeException,
                                                    RemoteException

  Throws:
    `ProtegeException`
    `RemoteException`

### beginTransaction

    RemoteResponse<Boolean> beginTransaction(String name,
                                             RemoteSession session)
                                             throws RemoteException

  Throws:
    `RemoteException`

### commitTransaction

    RemoteResponse<Boolean> commitTransaction(RemoteSession session)
                                              throws RemoteException

  Throws:
    `RemoteException`

### rollbackTransaction

    RemoteResponse<Boolean> rollbackTransaction(RemoteSession session)
                                                throws RemoteException

  Throws:
    `RemoteException`

### getFrame

    Frame getFrame(FrameID id,
                   RemoteSession session)
                   throws RemoteException

  Throws:
    `RemoteException`

### replaceFrame

    OntologyUpdate replaceFrame(Frame original,
                                Frame replacement,
                                RemoteSession session)
                                throws RemoteException

  Throws:
    `RemoteException`

### preload

    OntologyUpdate preload(Set<String> userFrames,
                           boolean all,
                           RemoteSession session)
                           throws RemoteException

  Throws:
    `RemoteException`

### requestValueCache

    void requestValueCache(Set<Frame> frames,
                           boolean skipDirectInstances,
                           RemoteSession session)
                           throws RemoteException

  Throws:
    `RemoteException`

### getTransactionIsolationLevel

    TransactionIsolationLevel getTransactionIsolationLevel()
                                                           throws TransactionException,
                                                                  RemoteException

  Throws:
    `TransactionException`
    `RemoteException`

### setTransactionIsolationLevel

    boolean setTransactionIsolationLevel(TransactionIsolationLevel level)
                                         throws TransactionException,
                                                RemoteException

  Sets the transaction isolation level for the current connection. Returns false if transactions are not supported.

  Parameters:
    `level` - The desired TransactionIsolationLevel
  Returns:
    true if transactions are supported
  Throws:
    `TransactionException`
    `RemoteException`

### heartBeat

    void heartBeat(RemoteSession session)
                   throws RemoteException

  Throws:
    `RemoteException`

### getAllowedOperations

    Set<Operation> getAllowedOperations(RemoteSession session)
                                        throws RemoteException

  Throws:
    `RemoteException`

### getKnownOperations

    Set<Operation> getKnownOperations(RemoteSession session)
                                      throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.